<script lang="ts" setup>
import { useSlots } from 'vue'

import type { LayoutHeaderProps } from './types'

const props = defineProps<LayoutHeaderProps>()
const slots = useSlots()
</script>

<template>
  <div>
    <div v-if="slots.actions" class="flex justify-end py-2">
      <slot name="actions" />
    </div>

    <div class="py-4">
      <slot />
    </div>
  </div>
</template>
